yaml: yaml_node_s Struct Reference

yaml 0.1.6

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
yaml_node_s Struct Reference
Nodes

The node structure. More...

`#include <yaml.h>`

## Data Fields
yaml_node_type_t | type
| The node type.
yaml_char_t * | tag
| The node tag.
union {
struct {
yaml_char_t * value
| The scalar value.
size_t length
| The length of the scalar value.
yaml_scalar_style_t style
| The scalar style.
} scalar
| The scalar parameters (for `YAML_SCALAR_NODE`).
struct {
struct {
yaml_node_item_t * start
| The beginning of the stack.
yaml_node_item_t * end
| The end of the stack.
yaml_node_item_t * top
| The top of the stack.
} items
| The stack of sequence items.
yaml_sequence_style_t style
| The sequence style.
} sequence
| The sequence parameters (for `YAML_SEQUENCE_NODE`).
struct {
struct {
yaml_node_pair_t * start
| The beginning of the stack.
yaml_node_pair_t * end
| The end of the stack.
yaml_node_pair_t * top
| The top of the stack.
} pairs
| The stack of mapping pairs (key, value).
yaml_mapping_style_t style
| The mapping style.
} mapping
| The mapping parameters (for `YAML_MAPPING_NODE`).
} | data
| The node data.
yaml_mark_t | start_mark
| The beginning of the node.
yaml_mark_t | end_mark
| The end of the node.

## Detailed Description

The node structure.

## Field Documentation

yaml_node_type_t yaml_node_s::type

The node type.

yaml_char_t* yaml_node_s::tag

The node tag.

yaml_char_t* yaml_node_s::value

The scalar value.

size_t yaml_node_s::length

The length of the scalar value.

yaml_scalar_style_t yaml_node_s::style

The scalar style.

struct { ... } yaml_node_s::scalar

The scalar parameters (for `YAML_SCALAR_NODE`).

yaml_node_item_t* yaml_node_s::start

The beginning of the stack.

yaml_node_item_t* yaml_node_s::end

The end of the stack.

yaml_node_item_t* yaml_node_s::top

The top of the stack.

struct { ... } yaml_node_s::items

The stack of sequence items.

yaml_sequence_style_t yaml_node_s::style

The sequence style.

struct { ... } yaml_node_s::sequence

The sequence parameters (for `YAML_SEQUENCE_NODE`).

yaml_node_pair_t* yaml_node_s::start

The beginning of the stack.

yaml_node_pair_t* yaml_node_s::end

The end of the stack.

yaml_node_pair_t* yaml_node_s::top

The top of the stack.

struct { ... } yaml_node_s::pairs

The stack of mapping pairs (key, value).

yaml_mapping_style_t yaml_node_s::style

The mapping style.

struct { ... } yaml_node_s::mapping

The mapping parameters (for `YAML_MAPPING_NODE`).

union { ... } yaml_node_s::data

The node data.

yaml_mark_t yaml_node_s::start_mark

The beginning of the node.

yaml_mark_t yaml_node_s::end_mark

The end of the node.

The documentation for this struct was generated from the following file:

- yaml.h